Name:           qtutilities
Version:        6.0.2
Release:        0.1%{?dist}
Summary:        Common Qt related C++ classes and routines

License:        GPL-2.0
URL:            https://github.com/Martchus/qtutilities
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  qt5-rpm-macros
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(c++utilities)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5LinguistTools)

%description
Common Qt related C++ classes and routines such as dialogs, widgets and models.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup


%build
mkdir %{_vpath_builddir}
pushd %{_vpath_builddir}
%cmake -G Ninja ..
popd

%ninja_build -C %{_vpath_builddir}


%install
%ninja_install -C %{_vpath_builddir}

%find_lang %{name} --with-qt


%check
%ninja_test -C %{_vpath_builddir}


%files -f %{name}.lang
%license LICENSE
%doc README.md
%{_libdir}/lib%{name}.so.*


%files devel
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/%{name}/cmake


%changelog
* Sat Jan  4 2020 gasinvein <gasinvein@gmail.com> - 6.0.2-0.1
- Initial package
